# Copyright 1999 Gentoo Authors, 2022 Jake Winters
# SPDX-License-Identifier: GPL-2.0-only


EAPI=8

inherit cmake

DESCRIPTION="A turn-based survival game set in a post-apocalyptic world."
HOMEPAGE="https://cataclysmdda.org/"

MY_PV="${PV:0:4}-${PV:4:2}-${PV:6:2}-${PV:8:4}"
SRC_URI="https://github.com/CleverRaven/Cataclysm-DDA/archive/refs/tags/cdda-experimental-${MY_PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/Cataclysm-DDA-cdda-experimental-${MY_PV}"

LICENSE="CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="amd64"
DEPEND="media-libs/sdl2-image media-libs/sdl2-mixer media-libs/sdl2-ttf"
RDEPEND="${DEPEND}"
BDEPEND=""

src_configure() {
	local mycmakeargs=(
		-DTILES=ON
		-DSOUND=ON
		-DBACKTRACE=OFF
		-DLIBBACKTRACE=OFF
		-DUSE_HOME_DIR=ON
		-DLOCALIZE=OFF
		-DJSON_FORMAT=OFF
		-DCATA_CCACHE=OFF
	)
	cmake_src_configure
}
